Description

Hello,

| am attempting to run a random effects logistic regression model using waves 1-10 of the UKHLS, and am running into some issues
with how to take into account the longitudinal weighting, strata, psu, as well as clustering by PIDP or allowing for random intercepts
by PIDP to account for the longitudinal design of the study. | am using Stata

| can svy set my data to account for the longitudinal weights (indinus_Iw), the psu, and the strata, but | am not sure how to account
for the clustering by PIDP. | am using the svy: melogit command.

Any advice would be much appreciated, thank you!

History

#1 - 05/10/2022 04:09 AM - Understanding Society User Support Team
- Status changed from New to In Progress

- Assignee set to Olena Kaminska

- % Done changed from 0 to 10

- Private changed from Yes to No
Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,
Understanding Society User Support Team

#2 - 05/10/2022 03:40 PM - Olena Kaminska

Dear Zohra,

In multilevel modelling you can have a few levels, the highest of which will be PSU as a clustering variable, and you can use individuals at a lower
level.

Hope this helps,
Olena

#3 - 05/11/2022 12:12 PM - Understanding Society User Support Team
- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

#4 - 07/27/2023 02:23 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
